Subject: Re: bug#11232: automake-1.11.4 regression

From: "Dmitry V. Levin" <[email-masked]>
Date: Fri, 13 Apr 2012 14:20:08 +0400

On Fri, Apr 13, 2012 at 10:42:09AM +0200, Stefano Lattarini wrote:
> Hi Dmitry, thanks for the report and the fix.
> 
> On 04/13/2012 12:22 AM, Dmitry V. Levin wrote:
> >
> > [PATCH] install: fix the case then an install directory is a shell command
> >
> > Fixes automake bug#11232.
> >
> > GNU automake used to support shell commands in installation directories,
> > but it was inadvertently broken by commit v1.11-759-g368f1c4 where shell
> > quoting of generated MKDIR_P command was changed from double to single
> > quotes in 3 places, while some 21 other places still use double quotes
> > for generated MKDIR_P commands.
> >
> > * lib/am/data.am: Use double quotes for generated "mkdir -p" commands.
> > * lib/am/libs.am: Likewise.
> > * lib/am/ltlib.am: Likewise.
> > * tests/install-pr11232.test: New test.
> > * tests/list-of-tests.mk (handwritten_TESTS): Add it.
> 
> I'd like to apply your fix ASAP (so that it can be in automake 1.11.5),
> but your patch complete with the test case does *not* qualify as small
> enough to be applied without a copyright disclaimer to the FSF.  Do you
> have such a disclaimer already in place?

Not for automake I'm afraid.

> If not, I'll apply only the
> bugfixes provided by your patch without the testcase, since such a change
> is small enough not to require legal paperwork.

OK
btw, the testcase could be more elaborate, to test all MKDIR_P cases
including those that were not broken.

-- 
ldv